Bug 590835 - Clickpad unusable on Hp mini 210
Clickpad unusable on Hp mini 210
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 15:12 EDT by Luca Giuzzi
Modified: 2011-08-02 02:09 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-31 00:32:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (71.02 KB, text/x-log)
2010-05-10 15:12 EDT, Luca Giuzzi
no flags Details
Options from /etc/X11/xorg.conf.d/99-synaptics.conf (228 bytes, text/plain)
2010-05-10 15:14 EDT, Luca Giuzzi
no flags Details
output of xinput --list (914 bytes, application/octet-stream)
2010-05-10 15:15 EDT, Luca Giuzzi
no flags Details
copy of /proc/bus/input/devices (2.57 KB, text/plain)
2010-05-10 15:16 EDT, Luca Giuzzi
no flags Details
Relevant part of Xorg.log after driver update to version 1.2.2-5 (2.68 KB, text/plain)
2010-05-11 18:25 EDT, Luca Giuzzi
no flags Details
Source package with clickpad patch (412.49 KB, application/x-rpm)
2011-03-02 17:20 EST, Kazimieras Vaina
no flags Details
binary package with clickpad patch (19.05 KB, application/x-rpm)
2011-03-02 17:22 EST, Kazimieras Vaina
no flags Details
binaray synaptics driver with a patch (64.95 KB, application/x-rpm)
2011-03-02 17:34 EST, Kazimieras Vaina
no flags Details
source package with a patch (412.49 KB, application/x-rpm)
2011-03-02 17:37 EST, Kazimieras Vaina
no flags Details
64-bit builds of the new Synaptics driver patch. (156.82 KB, application/x-rpm)
2011-03-13 01:04 EST, Gökhan Sever
no flags Details
Devel package for the 64-bit build. (18.62 KB, application/x-rpm)
2011-03-13 01:05 EST, Gökhan Sever
no flags Details
patch for synaptics driver (29.47 KB, patch)
2011-05-28 22:22 EDT, Alexander Gryanko
no flags Details | Diff
SRPM with patches for rightbutton and dnd (421.82 KB, application/x-rpm)
2011-05-28 22:45 EDT, Alexander Gryanko
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 38303 None None None Never

  None (edit)
Description Luca Giuzzi 2010-05-10 15:12:42 EDT
Created attachment 412936 [details]
Xorg log

Description of problem:
 The synaptics driver does not recognize the clickpad of
 the HP mini as a synaptics device; as such it does not configure 
 the "soft" buttons (on this kind of touchpad, the buttons are emulated)
 and hence it the touchpad is unusable.
 A partial solution is to boot with psmouse.proto=exps
 In this case the buttons are actually emulated, but none of the fancier
 options of the device work.



Version-Release number of selected component (if applicable):

xorg-x11-drv-synaptics-1.2.2-3.fc13

How reproducible:

Install F13 beta; try to use X11



Steps to Reproduce:
1. try to use X11
2.
3.
  
Actual results:

The synaptics driver appears not to be loaded; the configuration in
/etc/X11/xorg.conf.d is parsed but rejected.

Button 1 is mapped to "pressing the touchpad"
all other buttons do not work

Expected results:
 The configuration is loaded and everything works as expected.

Additional info:
 There is an error in xorg.log concerning an undetected device;
Comment 1 Luca Giuzzi 2010-05-10 15:14:20 EDT
Created attachment 412937 [details]
Options  from /etc/X11/xorg.conf.d/99-synaptics.conf
Comment 2 Luca Giuzzi 2010-05-10 15:15:15 EDT
Created attachment 412938 [details]
output of xinput --list
Comment 3 Luca Giuzzi 2010-05-10 15:16:40 EDT
Created attachment 412941 [details]
copy of /proc/bus/input/devices
Comment 4 Peter Hutterer 2010-05-10 20:03:12 EDT
Does this scratch build work for you? That's the patch that's about to go upstream into the synaptics driver.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2178710
Comment 5 Luca Giuzzi 2010-05-11 18:25:26 EDT
Created attachment 413279 [details]
Relevant part of Xorg.log after driver update to version 1.2.2-5
Comment 6 Luca Giuzzi 2010-05-11 18:26:14 EDT
It seems not much has changed after the update; I have attached a copy of the
relevant part of Xorg.log.
Comment 7 Peter Hutterer 2010-05-11 21:31:45 EDT
Right, the kernel driver still reports multiple buttons so the X driver doesn't detect the ClickPad. There's a kernel patch [1] I've added to this scratch build here: http://koji.fedoraproject.org/koji/taskinfo?taskID=2181749

with that package in addition to the updated synaptics one, does it work?


[1] http://git.kernel.org/?p=linux/kernel/git/dtor/input.git;a=commit;h=5f57d67da87332a9a1ba8fa7a33bf0680e1c76e7
Comment 8 Luca Giuzzi 2010-05-12 16:05:01 EDT
Everything seems to work properly with the new kernel and driver.
Thanks!
Comment 9 Fedora Update System 2010-05-12 21:31:43 EDT
xorg-x11-drv-synaptics-1.2.2-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-synaptics-1.2.2-5.fc13
Comment 10 Peter Hutterer 2010-05-13 01:01:20 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=2184128 has the kernel build.
Comment 11 Fedora Update System 2010-05-17 01:39:24 EDT
kernel-2.6.33.4-95.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.33.4-95.fc13
Comment 12 Fedora Update System 2010-05-19 15:17:39 EDT
kernel-2.6.33.4-95.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 topolm5678 2010-05-25 15:49:06 EDT
(In reply to comment #12)
> kernel-2.6.33.4-95.fc13 has been pushed to the Fedora 13 stable repository.  If
> problems still persist, please make note of it in this bug report.    

Updated F13 to previous mentioned kernel - left click is working but no right click
Comment 14 Paul Fee 2010-05-31 20:19:02 EDT
kernel-2.6.33.4-95.fc13 *and* xorg-x11-drv-synaptics-1.2.2-5.fc13 are needed for right click to work.  The kernel update has made it through testing and gets delivered to folks doing "yum update".

The second update (currently) requires:

# yum --enablerepo=updates-testing update xorg-x11-drv-synaptics

Once that package gets through testing it'll be more widely available.  I've just installed it and it makes my HP Mini 210 work much better now, so it gets my karma points.
Comment 15 Peter Arremann 2010-11-21 21:31:24 EST
I have exactly the same HP Mini 210 and got everything working following the instructions in this thread. Yesterday I upgraded to F14 and while it seems like the kernel contains the clickpad support, I believe the 1.3.0 (both in the F14 and in the updates repo) release of xorg-x11-drv-synaptics is missing support now. 

Any recommendations?
Comment 16 Peter Hutterer 2010-11-22 00:47:24 EST
(In reply to comment #15)
> I have exactly the same HP Mini 210 and got everything working following the
> instructions in this thread. Yesterday I upgraded to F14 and while it seems
> like the kernel contains the clickpad support, I believe the 1.3.0 (both in the
> F14 and in the updates repo) release of xorg-x11-drv-synaptics is missing
> support now. 

I'm still waiting for Takashi to send me the revised patches specifically for clickpad devices.
Comment 17 Paul Fee 2010-11-23 03:56:24 EST
Installed F14 (using preupgrade from F13) on a HP Mini 210.  Right click no longer worked, the entire "button area" of the clickpad was interrupted as left click.

Workaround (with KDE) was to setup Input Devices/Touchpad so that middle and right click could be achieved by tapping in the clickpad corners.
Comment 18 isaac 2011-01-06 19:51:59 EST
are there any updates on this? it would be nice if i didnt have to use hold to right click.
Comment 19 Alexjan Carraturo 2011-02-22 12:34:59 EST
Hi to all

I have solved this problem out of Fedora 14 (in Slackware)

The problem is not of xorg for me, but fedora kernel, that, as far as I can see, don't use psmouse kernel module; I write something about this here  ( https://bugzilla.redhat.com/show_bug.cgi?id=679349 )


Well, I do a little test in another partition of mi HP Mini 210-2006sl; I installed Slackware 13.1, then I compiled the kernel 2.6.37.1 (vanilla from kernel.org) with the module psmouse enabled. That's because I see in the changelog of kernel that they (who develop kernel), in the 2.6.35.11 version, have added a special patch for Clickpad in module psmouse.
(I know that the stable kernel of Fedora 14 it's 2.6.35.11, but it's compiled without that module.)
After that, I modified /etc/modprobe.d/psmouse.conf with this line 

options psmouse proto=exps

started X, and everything it's working for me now, without any Xorg configuration option. 

This is not an advice to use Slackware instead of Fedora, but only an advice about how to find the solution for Clickpad.... I will prefere to have a Fedora perfectly working. 

Unfortunally I don't know how the kernel it's compiled on Fedora, and the "How to guide" on Fedoraproject site it's too complicate for me.

Alex.
Comment 20 Alexjan Carraturo 2011-02-26 20:28:18 EST
Actually I solved this even in Fedora 14. Now works fine with left and right click (but without scroll).

I see that psmouse is in the kernel, but not as module, but as built in. So, I pass the right parameter and now it works.

To say that it's all OK I have to do other tests, but I think that this device will works fine in the future.

Alex.
Comment 21 Kazimieras Vaina 2011-03-02 17:20:47 EST
Created attachment 481956 [details]
Source package with clickpad patch

I found a patch 
http://groups.google.com/group/linux.debian.bugs.dist/browse_thread/thread/5e51c02dd8e2b401/2e2e5bca3bf36a96?lnk=raot&fwc=1
that make the clickpad work. The scroll, left and right buttons work. Even middle button works. 

The patch applies on 1.3.99.901 synaptics driver.
It looks similar to the synaptics-1.2.2-clickpad-support.patch that was applied on the 1.2.x version of synaptics driver in Fedora. May be this patch should be applied to the 1.3.x version of synaptics driver as well ?
Comment 22 Kazimieras Vaina 2011-03-02 17:22:07 EST
Created attachment 481958 [details]
binary package with clickpad patch
Comment 23 Kazimieras Vaina 2011-03-02 17:34:10 EST
Created attachment 481965 [details]
binaray synaptics driver with a patch
Comment 24 Kazimieras Vaina 2011-03-02 17:37:12 EST
Created attachment 481966 [details]
source package with a patch
Comment 25 Gökhan Sever 2011-03-05 15:18:13 EST
I have a similar issue on HP ProBook 4420s. @ Kazimieras Vaina, could you provide the same patch for x86_64 arch as well? Thanks.

Posted here -> http://forums.fedoraforum.org/showthread.php?t=259043
Comment 26 Gökhan Sever 2011-03-13 01:04:26 EST
Created attachment 483952 [details]
64-bit builds of the new Synaptics driver patch.
Comment 27 Gökhan Sever 2011-03-13 01:05:06 EST
Created attachment 483953 [details]
Devel package for the 64-bit build.
Comment 28 Gökhan Sever 2011-03-13 01:05:36 EST
OK, me again. Thanks to Javier Wilson, sitting at PyCon11, I have figured to compile the patch in x86_64, Kazimieras Vaina provided for 32-bit archs. Now, I confirm that left and right clicks in touchpad area (HP ProBook 4420s) as they should be. The build is attached up in this bug entry.
Comment 29 Alexjan Carraturo 2011-03-13 07:24:45 EDT
Sorry,

I'm tryng to disable the button area from touchpad. I read that for doing this, I have to configure synaptic on xorg.

I tryed to add this config file, but looking at Xorg.0.log, doesn't seems to work (I think that the driver it's not loaded)



cat /etc/X11/xorg.conf.d/50-synaptics.conf 
Section "InputClass"
        Identifier "touchpad catchall"
        Driver "synaptics"
        MatchIsTouchpad "on"
	Option "TapButton1" "1"
	Option "TapButton2" "2"
	Option "TapButton3" "3"
	Option "SHMConfig" "on"
  	Option "LBCornerButton" "1"
  	Option "RBCornerButton" "2"
 	Option "EmulateMidButton" "1"
        Option "JumpyCursorThreshold" "100"
        Option "AreaBottomEdge" "4000"

EndSection


I try even the binary package in the https://bugzilla.redhat.com/attachment.cgi?id=481965 attachment, but nothing change.

I'm sure that I'm doing something wrong, but really I don't know what.

Seems that Xorg don't use my conf file.

I'm starting kernel with the option psmouse.proto=exps; may this is the wrong way?
Comment 30 Alexjan Carraturo 2011-03-13 14:14:50 EDT
Ok now works fine. How? 

Easy, following exactally the steps you do.

First of all I have remove from kernel parameters the option of psmouse.

Then I tryed the 99-synaptics.conf that is here, with the binary package that is here to, and reboot the system, and everything it's working fine now. 

The real question now it's; for the moment seem's to work fine, but how we can do when Fedora will'upgrade xorg synaptic driver? There is a way to have the patch moved on the synaptic official driver?

For the moment, thank you for help.

Alex.
Comment 31 Alexjan Carraturo 2011-05-27 05:58:34 EDT
Seems that in Fedora15 the problem exist again. Anyone have tried to change (patch) the 1.4.0.901 version of Xorg org Driver?
Comment 32 Alexjan Carraturo 2011-05-28 04:19:01 EDT
I found a patch for 1.4.0 Clickpad that seems to work partially.

I take the patch from here
https://aur.archlinux.org/packages.php?ID=38120

I compiled with that patch, but I don't do the package. 

With that patch, compilation works, but I have not installed all the build, but only synaptic_drv on the proper directory.

Then I have to change my conf for Xorg

Section "InputClass"
  Identifier "touchpad catchall"
  MatchIsTouchpad "on"
  MatchDevicePath "/dev/input/event*"
  Option "Protocol" "auto-dev"
  Driver "synaptics"
  Option "SHMConfig" "on"
  Option "LBCornerButton" "1"
  Option "RBCornerButton" "2"
  Option "TapButton1" "1"
  Option "TapButton2" "2"
  Option "TapButton3" "3"
  #Option "EmulateMidButton" "1"
  #Option "AreaBottomEdge" "4100"
  Option "VertTwoFingerScroll" "on"
  Option "HorizTwoFingerScroll" "on"
  Option "VerEdgeScroll" "on"
  Option "HorizEdgeScroll" "on"
EndSection


Now I have "left" and "right" working, even scrolling it`s working, but, it's impossible to use "selection" (with selection I mean when you have a text on screen, click on the left button and use the pad to select area). 

Any Ideas?
Comment 33 Alexander Gryanko 2011-05-28 18:47:14 EDT
Here's patches for synaptics driver version under 1.4 - https://build.opensuse.org/package/files?package=xorg-x11-driver-input&project=openSUSE%3AFactory I've tested it on Ubuntu, and if you using Fedora 14 can build patched version.

For Fedora 15(synaptics driver version 1.4) this patches doesn't work, becouse LocalDevicePtr has been removed from ABI. I'm not a developer, but I will try to adapt old patches for new driver version.
Comment 34 Alexander Gryanko 2011-05-28 22:22:28 EDT
Created attachment 501554 [details]
patch for synaptics driver

All patches from Suse for 1.4 driver. Right buttom work by two fingers(as MacBook).
Comment 35 Alexander Gryanko 2011-05-28 22:45:44 EDT
Created attachment 501555 [details]
SRPM with patches for rightbutton and dnd

This SRPM contains some fixes for right button and drug and drop :)
Comment 36 Peter Hutterer 2011-05-31 00:32:28 EDT
This is a clickpad touchpad device. Upstream doesn't have support for those devices yet. There are some patches floating around that some distros may ship but they are not ready for inclusion upstream yet.

Closing as UPSTREAM, sorry.
Comment 37 David Mansfield 2011-06-02 09:41:01 EDT
Peter, do you have an upstream bug#/rink that has been filed?   Who IS "UPSTREAM" for the synaptics module?
Comment 38 Bug Zapper 2011-06-02 10:13:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 39 Peter Hutterer 2011-08-02 01:47:32 EDT
(In reply to comment #37)
> Peter, do you have an upstream bug#/rink that has been filed?   Who IS
> "UPSTREAM" for the synaptics module?

X.Org is the upstream, xorg-devel mailing list. Note that I'm the current maintainer for synaptics too, so if you file a bug upstream it'll just land in a different inbox :)

There are patches floating around on the list in various stages but none have made it to the final state.

One bug that at least has the right title:
https://bugs.freedesktop.org/show_bug.cgi?id=38303

Note You need to log in before you can comment on or make changes to this bug.